"use strict";

var GO_MustyFrog = function(){
	this.sprite = new Sprite(GO_MustyFrog.spriteSheet,"MustyFrog");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(1,1,30,12);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "MustyFrog";

	this._makeCheckable("GD_Sign_Musty_Frog");
};
GO_MustyFrog.spriteImg = SDS_Load_Image("art/sheets/sprite/musty_frog.png");
GO_MustyFrog.spriteSheet = new TileSheet(5, 4, 0, 0, GO_MustyFrog.spriteImg);

GO_MustyFrog.prototype = new GameObject(
	new Sprite(
		GO_MustyFrog.spriteSheet,
		"MustyFrog"
	),
	"MustyFrog"
	);

	GO_MustyFrog.prototype.Update = function(){

	};
